/* +---------------------------------------------------------------------------+
   |                     Mobile Robot Programming Toolkit (MRPT)               |
   |                          https://www.mrpt.org/                            |
   |                                                                           |
   | Copyright (c) 2005-2020, Individual contributors, see AUTHORS file        |
   | See: https://www.mrpt.org/Authors - All rights reserved.                  |
   | Released under BSD License. See details in https://www.mrpt.org/License   |
   +---------------------------------------------------------------------------+
 */

/** \defgroup mrpt_hmtslam_grp [mrpt-hmtslam]

Hybrid Metric-Topological (HMT) SLAM implementation

<small> <a href="index.html#libs">Back to list of all libraries</a> | <a
href="modules.html" >See all modules</a> </small> <br>

# Library `mrpt-hmtslam`

This C++ library is part of MRPT and can be installed in Debian-based systems
with:

		sudo apt install libmrpt-hmtslam-dev

See: \ref mrpt_from_cmake

This library includes an implementation of the HMT-SLAM framework.
See the list of classes in mrpt::hmtslam, and the application hmt-slam-gui.

**NOTE:** For new designs, it is recommended to either try the more modern
alternatives:
- [MOLA](https://github.com/MOLAorg)
 - \ref mrpt_graphslam_grp

*/
