/* +---------------------------------------------------------------------------+
   |                     Mobile Robot Programming Toolkit (MRPT)               |
   |                          https://www.mrpt.org/                            |
   |                                                                           |
   | Copyright (c) 2005-2020, Individual contributors, see AUTHORS file        |
   | See: https://www.mrpt.org/Authors - All rights reserved.                  |
   | Released under BSD License. See details in https://www.mrpt.org/License   |
   +---------------------------------------------------------------------------+
 */

/** \defgroup mrpt_hwdrivers_grp [mrpt-hwdrivers]

Sensor and hardware-related drivers.

<small> <a href="index.html#libs">Back to list of all libraries</a> | <a
href="modules.html" >See all modules</a> </small> <br>

# Library `mrpt-hwdrivers`

This C++ library is part of MRPT and can be installed in Debian-based systems
with:

		sudo apt install libmrpt-hwdrivers-dev

See: \ref mrpt_from_cmake

This namespace includes several hardware-related classes, from serial port
interfaces, USB FTDI chip interfaces, to more complex ones including
handling specific proprietary protocols (SICK lasers, etc.).

See the list of classes in mrpt::hwdrivers and the
<b>list of supported sensors</b>
in <a href="http://www.mrpt.org/Supported_hardware_and_sensors" >this page</a>.


*/
